<nav class="nav">
   <figure class="nav__logo">
    <img src="assets/GZ_Music.png" alt="" class="nav__logo-detail">
   </figure>
   <button class="nav__icon" (click)="toggle()">
        <i class="fa-solid fa-bars"></i>
   </button>
   <ul class="nav__menu {{isNavbarOpen?'nav__menu--visible':''}}" >
        <li class="nav__item"><a [routerLink]="['/home']"  class="nav__detail nav__link">Home</a></li>
        <li class="nav__item"><a  class="nav__detail nav__link">search</a></li>
        <li class="nav__item"><a  [routerLink]="['/favorites']" class="nav__detail nav__link">favorites</a></li>
        <button class="nav__logout">
          <i class="fa-solid fa-right-from-bracket">Logout</i>
        </button>
   </ul>
</nav>